Subject: Re: [PATCH 0/9 v2] Remove FMR support from RDMA drivers

From: Jason Gunthorpe <[email-masked]>
Date: Wed, 27 May 2020 22:06:15 -0300

On Wed, May 27, 2020 at 12:46:25PM +0300, Max Gurtovoy wrote:
> This series removes the support for FMR mode to register memory. This ancient
> mode is unsafe (rkeys that are usually exposed for caching purposes and the API
> is limited to page granularity mappings) and not maintained/tested in the last
> few years. It also doesn't have any reasonable advantage over other memory
> registration methods such as FRWR (that is implemented in all the recent RDMA
> adapters). This series should be reviewed and approved by the maintainer of the
> effected drivers and I suggest to test it as well.
> 
> The tests that I made for this series (fio benchmarks and fio verify data):
> 1. iSER initiator on ConnectX-4
> 2. iSER initiator on ConnectX-3
> 3. SRP initiator on ConnectX-4 (loopback to SRP target)
> 4. SRP initiator on ConnectX-3

I looked at this for a bit, and it seems like there is still a fair
amount more to remove, I came up with this:

https://github.com/jgunthorpe/linux/commits/for_max

Can you check?

Thanks
Jason